Summary: A GNOME daemon for automatically mounting/playing CDs.
Name: magicdev
Version: 0.3.5
Release: 3
Copyright: GPL
Group: Applications/System
Source: magicdev-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gmc

Source2: magicdev-po.tar.gz

%description
Magicdev is a daemon that runs within the GNOME environment and
detects when a CD is removed or inserted. Magicdev handles running
autorun programs on the CD, updating the File Manager and playing
audio CDs.

%prep
%setup -q

# translations
tar zxf %{SOURCE2}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
/usr/bin/*
/usr/share/control-center/Peripherals/cd.desktop
/usr/share/gnome/apps/Settings/Peripherals/cd.desktop
/usr/share/magicdev
/usr/share/idl/*
%config(noreplace) /etc/CORBA/servers/magicdev.goad

%changelog
* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- use %%{_tmppath}

* Tue Feb 27 2001 Owen Taylor <otaylor@redhat.com>
- Version 0.3.5, check for changes to fstab

* Wed Feb 07 2001 Owen Taylor <otaylor@redhat.com>
- New version fixing locking problems

* Mon Jul 17 2000 Elliot Lee <sopwith@redhat.com>
- Add .mo files

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Rebuild for Winton

* Wed Mar  8 2000 Matt Wilson <msw@redhat.com>
- fix for autorun

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- goad file is config file

* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Initial package
